Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# gnFileContig Class Reference

gnFileContig is used by source classes to track the location of sequence data on disk. More...

`#include <gnFileContig.h>`

Inheritance diagram for gnFileContig:

List of all members.

## Public Member Functions
| gnFileContig ()
| gnFileContig (string nameStr, const uint64 pos, const uint64 len)
| gnFileContig (const gnFileContig &fc)
| ~gnFileContig ()
gnFileContig * | Clone () const
void | Clear ()
string | GetName () const
gnSeqI | GetSeqLength () const
pair< uint64, uint64 > | GetFileStartEnd () const
uint64 | GetFileLength () const
pair< uint64, uint64 > | GetSectStartEnd (const gnContigSection i) const
uint64 | GetSectLength (gnContigSection i) const
boolean | HasRepeatSeqGap () const
pair< uint32, uint32 > | GetRepeatSeqGapSize () const
boolean | SetName (string nameStr)
boolean | SetSeqLength (const gnSeqI len)
boolean | AddToSeqLength (const gnSeqI len)
boolean | SetFileStart (const uint64 s)
boolean | SetFileEnd (const uint64 e)
boolean | SetFileStartEnd (const pair< uint64, uint64 > se)
boolean | SetSectStart (const gnContigSection i, const uint64 s)
boolean | SetSectEnd (const gnContigSection i, const uint64 e)
boolean | SetSectStartEnd (const gnContigSection i, const pair< uint64, uint64 > se)
boolean | SetRepeatSeqGap (const boolean rsg)
boolean | SetRepeatSeqGapSize (const pair< uint64, uint64 > rsgSize)
boolean | SetRepeatSeqSize (const uint64 seqSize)
boolean | SetRepeatGapSize (const uint64 gapSize)
## Private Attributes
string | m_name
gnSeqI | m_seqLength
pair< uint64, uint64 > | m_fileStartEnd
pair< uint64, uint64 > | m_startEndArray [CONTIG_SECTION_SIZE]
boolean | m_repeatSeqGap
pair< uint64, uint64 > | m_repeatSeqGapSize

## Detailed Description

gnFileContig is used by source classes to track the location of sequence data on disk.

gnFileContig stores the start and end byte offset, and the size of a repeated gap in the sequence data. Also stores whether the sequence data is in the expected format or if it is corrupted.

Definition at line 28 of file gnFileContig.h.

## Constructor & Destructor Documentation

gnFileContig::gnFileContig | ( |  | ) |

| Definition at line 15 of file gnFileContig.cpp. References Clear(). Referenced by Clone().

gnFileContig::gnFileContig | ( | string | nameStr,
|  | const uint64 | pos,
|  | const uint64 | len
| ) |

| Definition at line 19 of file gnFileContig.cpp. References Clear(), m_fileStartEnd, and m_name.

gnFileContig::gnFileContig | ( | const gnFileContig & | fc | ) |

| Definition at line 26 of file gnFileContig.cpp. References CONTIG_SECTION_SIZE, m_fileStartEnd, m_name, m_repeatSeqGap, m_repeatSeqGapSize, m_seqLength, m_startEndArray, and uint32.

gnFileContig::~gnFileContig | ( |  | ) |

| Definition at line 36 of file gnFileContig.cpp.

## Member Function Documentation

boolean gnFileContig::AddToSeqLength | ( | const gnSeqI | len | ) | `[inline]`

| Definition at line 137 of file gnFileContig.h. References m_seqLength. Referenced by gnFASSource::ParseStream().

void gnFileContig::Clear | ( |  | ) |

| Definition at line 39 of file gnFileContig.cpp. References CONTIG_SECTION_SIZE, m_fileStartEnd, m_name, m_repeatSeqGap, m_repeatSeqGapSize, m_seqLength, m_startEndArray, and uint32. Referenced by gnFileContig().

gnFileContig * gnFileContig::Clone | ( |  | ) | const`[inline, virtual]`

| Implements gnClone. Definition at line 74 of file gnFileContig.h. References gnFileContig(). Referenced by gnRAWSource::gnRAWSource().

uint64 gnFileContig::GetFileLength | ( |  | ) | const`[inline]`

| Definition at line 95 of file gnFileContig.h. References m_fileStartEnd, and uint64.

pair< uint64, uint64 > gnFileContig::GetFileStartEnd | ( |  | ) | const`[inline]`

| Definition at line 90 of file gnFileContig.h. References m_fileStartEnd.

string gnFileContig::GetName | ( |  | ) | const`[inline]`

| Definition at line 80 of file gnFileContig.h. References m_name.

pair< uint32, uint32 > gnFileContig::GetRepeatSeqGapSize | ( |  | ) | const`[inline]`

| Definition at line 119 of file gnFileContig.h. References m_repeatSeqGapSize. Referenced by gnSEQSource::ParseStream(), gnSEQSource::SeqStartPos(), and gnFASSource::SeqStartPos().

uint64 gnFileContig::GetSectLength | ( | gnContigSection | i | ) | const`[inline]`

| Definition at line 107 of file gnFileContig.h. References CONTIG_SECTION_SIZE, m_startEndArray, and uint64.

pair< uint64, uint64 > gnFileContig::GetSectStartEnd | ( | const gnContigSection | i | ) | const`[inline]`

| Definition at line 100 of file gnFileContig.h. References CONTIG_SECTION_SIZE, and m_startEndArray. Referenced by gnSEQSource::SeqStartPos(), gnGBKSource::SeqStartPos(), and gnFASSource::SeqStartPos().

gnSeqI gnFileContig::GetSeqLength | ( |  | ) | const`[inline]`

| Definition at line 85 of file gnFileContig.h. References gnSeqI, and m_seqLength. Referenced by gnRAWSource::GetContigSeqLength().

boolean gnFileContig::HasRepeatSeqGap | ( |  | ) | const`[inline]`

| Definition at line 114 of file gnFileContig.h. References m_repeatSeqGap. Referenced by gnSEQSource::SeqStartPos(), gnGBKSource::SeqStartPos(), and gnFASSource::SeqStartPos().

boolean gnFileContig::SetFileEnd | ( | const uint64 | e | ) | `[inline]`

| Definition at line 149 of file gnFileContig.h. References m_fileStartEnd. Referenced by gnFASSource::ParseStream().

boolean gnFileContig::SetFileStart | ( | const uint64 | s | ) | `[inline]`

| Definition at line 143 of file gnFileContig.h. References m_fileStartEnd. Referenced by gnFASSource::ParseStream().

boolean gnFileContig::SetFileStartEnd | ( | const pair< uint64, uint64 > | se | ) | `[inline]`

| Definition at line 155 of file gnFileContig.h. References m_fileStartEnd.

boolean gnFileContig::SetName | ( | string | nameStr | ) | `[inline]`

| Definition at line 125 of file gnFileContig.h. References m_name. Referenced by gnSEQSource::ParseStream(), gnGBKSource::ParseStream(), and gnFASSource::ParseStream().

boolean gnFileContig::SetRepeatGapSize | ( | const uint64 | gapSize | ) |

| Definition at line 64 of file gnFileContig.cpp. References m_repeatSeqGap, and m_repeatSeqGapSize. Referenced by gnSEQSource::ParseStream(), gnFASSource::ParseStream(), and SetRepeatSeqGapSize().

boolean gnFileContig::SetRepeatSeqGap | ( | const boolean | rsg | ) | `[inline]`

| Definition at line 191 of file gnFileContig.h. References m_repeatSeqGap. Referenced by gnSEQSource::ParseStream(), gnRAWSource::ParseStream(), gnGBKSource::ParseStream(), and gnFASSource::ParseStream().

boolean gnFileContig::SetRepeatSeqGapSize | ( | const pair< uint64, uint64 > | rsgSize | ) | `[inline]`

| Definition at line 197 of file gnFileContig.h. References SetRepeatGapSize(), and SetRepeatSeqSize().

boolean gnFileContig::SetRepeatSeqSize | ( | const uint64 | seqSize | ) |

| Definition at line 50 of file gnFileContig.cpp. References m_repeatSeqGap, and m_repeatSeqGapSize. Referenced by gnSEQSource::ParseStream(), gnFASSource::ParseStream(), and SetRepeatSeqGapSize().

boolean gnFileContig::SetSectEnd | ( | const gnContigSection | i,
|  | const uint64 | e
| ) | `[inline]`

| Definition at line 171 of file gnFileContig.h. References CONTIG_SECTION_SIZE, and m_startEndArray. Referenced by gnSEQSource::ParseStream(), gnRAWSource::ParseStream(), gnGBKSource::ParseStream(), and gnFASSource::ParseStream().

boolean gnFileContig::SetSectStart | ( | const gnContigSection | i,
|  | const uint64 | s
| ) | `[inline]`

| Definition at line 161 of file gnFileContig.h. References CONTIG_SECTION_SIZE, and m_startEndArray. Referenced by gnSEQSource::ParseStream(), gnRAWSource::ParseStream(), gnGBKSource::ParseStream(), and gnFASSource::ParseStream().

boolean gnFileContig::SetSectStartEnd | ( | const gnContigSection | i,
|  | const pair< uint64, uint64 > | se
| ) | `[inline]`

| Definition at line 181 of file gnFileContig.h. References CONTIG_SECTION_SIZE, and m_startEndArray.

boolean gnFileContig::SetSeqLength | ( | const gnSeqI | len | ) | `[inline]`

| Definition at line 131 of file gnFileContig.h. References m_seqLength. Referenced by gnSEQSource::ParseStream(), gnRAWSource::ParseStream(), and gnGBKSource::ParseStream().

## Member Data Documentation

pair<uint64,uint64> gnFileContig::m_fileStartEnd`[private]`

| Definition at line 64 of file gnFileContig.h. Referenced by Clear(), GetFileLength(), GetFileStartEnd(), gnFileContig(), SetFileEnd(), SetFileStart(), and SetFileStartEnd().

string gnFileContig::m_name`[private]`

| Definition at line 62 of file gnFileContig.h. Referenced by Clear(), GetName(), gnFileContig(), and SetName().

boolean gnFileContig::m_repeatSeqGap`[private]`

| Definition at line 68 of file gnFileContig.h. Referenced by Clear(), gnFileContig(), HasRepeatSeqGap(), SetRepeatGapSize(), SetRepeatSeqGap(), and SetRepeatSeqSize().

pair< uint64, uint64 > gnFileContig::m_repeatSeqGapSize`[private]`

| Definition at line 69 of file gnFileContig.h. Referenced by Clear(), GetRepeatSeqGapSize(), gnFileContig(), SetRepeatGapSize(), and SetRepeatSeqSize().

gnSeqI gnFileContig::m_seqLength`[private]`

| Definition at line 63 of file gnFileContig.h. Referenced by AddToSeqLength(), Clear(), GetSeqLength(), gnFileContig(), and SetSeqLength().

pair<uint64,uint64> gnFileContig::m_startEndArray[CONTIG_SECTION_SIZE]`[private]`

| Definition at line 66 of file gnFileContig.h. Referenced by Clear(), GetSectLength(), GetSectStartEnd(), gnFileContig(), SetSectEnd(), SetSectStart(), and SetSectStartEnd().

The documentation for this class was generated from the following files:

- gnFileContig.h
- gnFileContig.cpp